WordPress.org

Plugin Directory

SmartFilter Security

SmartFilter Security is the best security plugin to protect your WordPress site from malicious code injections in your posts and comments.

What is cross site-scripting (XSS)?

Cross-site scripting happens when malicious scripts are injected into trusted web sites. XSS attacks occur when an attacker uses a web application to send malicious code, generally in the form of JavaScript, to a different end user. Flaws that allow these attacks to succeed are quite widespread and typically occur in web applications that handle user input. The end user’s browser has no way to know that the script should not be trusted and will execute the script. Malicious scripts can access any cookies, session tokens, or other sensitive information retained by your browser and used with that site. These scripts can even rewrite the content of the HTML page.

Does SmartFilter Security work with other security plugins/solutions?

Yes, SmartFilter Security does not not conflict with other plugins and solutions. If you suspect any compatibility problem, please contact us at support@smartfiltersecurity.com.

Will SmartFilter Security work with my web hosting provider?

SmartFilter Security works with all web hosting providers. Sometimes, web hosting providers have firewalls that prevents outbound network calls. If you are experiencing network connectivity issues, please contact your provider.

What happens to the data SmartFilter Security processes?

Our Cloud API does not save any original request data. SmartFilter Security only stores statistics around attack severity, such as blacklist/ whitelist violations, # of transformations, etc.

Does SmartFilter Security affect my site's performance?

We pay specific attention to optimizing our Cloud API's performance because it should work seamlessly - even under heavy load. Our architecture is able to process data at an incredible speed. Additionally, SmartFilter plugins and libraries do not add the overhead of a firewall. It does not intercept every request and response - instead, you call SmartFilter when you need it.

What happens if SmartFilter Security service is interrupted?

Since technology is never 100% bulletproof, all of our plugins and libraries throw and handle detailed exceptions. In case of WordPress we have built a back-up feature to make sure your website is always protected - even if the SmartFilter Cloud API is under maintenance or if there is a bad network connection. If SmartFilter is down, your WordPress blogs will automatically revert to the native security filters.

Requires: 3.0.1 or higher
Compatible up to: 3.5.2
Last Updated: 2013-10-18
Active Installs: 200+

Ratings

4.2 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
0,1,0